Summary:	A Bayesian probability spam analysis engine
Name:		spamprobe
Version:	1.4d
Release:	%mkrel 8
License:	QPL
Group:		Networking/Mail
URL:		http://www.sourceforge.net/projects/spamprobe
Source0:	http://prdownloads.sourceforge.net/spamprobe/%{name}-%{version}.tar.bz2
# http://sourceforge.net/tracker/index.php?func=detail&aid=1818489&group_id=61201&atid=496459
Patch0:		spamprobe-1.4d-with-gcc4.3.diff
BuildRequires:	db4-devel
BuildRequires:	ungif-devel
BuildRequires:	jpeg-devel
BuildRequires:	png-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
SpamProbe is a spam detection program that uses a Bayesian analysis of the
frequencies of terms used in the email. Because it filters email based on
content rather than on general rules, it easily adapts itself to the types of
email that each individual user normally receives. 

%prep

%setup -q
%patch0 -p1

%build

%configure2_5x

%make

%install
rm -rf %{buildroot}

%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,0755)
%doc contrib ChangeLog README.txt
%doc src/scripts/*
%{_mandir}/man1/spam*
%{_bindir}/spamprobe 


%changelog
* Sat Jan 30 2010 Funda Wang <fwang@mandriva.org> 1.4d-8mdv2010.1
+ Revision: 498523
- add several BRs

* Tue Sep 08 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.4d-7mdv2010.0
+ Revision: 434014
- rebuild

* Sat Sep 20 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4d-6mdv2009.0
+ Revision: 286181
- added a gcc43 patch from the sf tracker

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - rebuild

* Sun Jan 13 2008 Emmanuel Andry <eandry@mandriva.org> 1.4d-2mdv2008.1
+ Revision: 150448
- use db4.6

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Sun Mar 04 2007 Emmanuel Andry <eandry@mandriva.org> 1.4d-1mdv2007.0
+ Revision: 131988
- New version 1.4d
- build with db4.5
- Import spamprobe

* Sun May 14 2006 Emmanuel Andry <eandry@mandriva.org> 1.4b-1mdk
- 1.4b

* Tue Jan 31 2006 Lenny Cartier <lenny@mandriva.com> 1.4a-1mdk
- 1.4a

* Tue Jul 05 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2a-1mdk
- 1.2a
- drop obsolete patch and spec hacks

* Sun Jun 06 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9h-1mdk
- 0.9h
- rebuilt against new deps and with gcc v3.4.x
- added P0 (from debian, but slightly adjusted)

